#!/bin/sh

PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"

config_file=/etc/setup-netcfg/user.cfg
lastlevel=0

. $config_file

if [ $inet_if != "LTE" ]; then
	exit 1
fi



ltedbm() {
	rsrq=`at_cmd /dev/ttyACM0 AT+CESQ  | awk -F, '{print $5}' | sed -e "s/[\r\n]\+//g"`
	rsrp=`at_cmd /dev/ttyACM0 AT+CESQ  | awk -F, '{print $6}' | sed -e "s/[\r\n]\+//g"`
	#echo rsrq: $rsrq, rsrp: $rsrp

	if [ -z $rsrp ]; then
		echo "AT err"
		return 255
	fi

	case "$rsrp" in
	"0")
		level=141
		;;
	"97")
		level=44
		;;
	"255")
		level=255
		;;
	*)
		level=`expr 141 - $rsrp`
		;;
	esac
	return $level
}

while :
do
	ltedbm
	dbm=$?

	if [ $dbm = $lastlevel ]; then
		sleep 60
		continue
	fi

	if [ $dbm -lt 79 ] ;  then
		led 4 2 20 30
	elif [ $dbm -lt 89 ];  then
		led 4 2 20 80
	elif [ $dbm -lt 99 ];  then
		led 4 2 20 230
	elif [ $dbm -lt 109 ];  then
		led 4 2 20 480
	elif [ $dbm -lt 129 ];  then
		led 4 2 20 980
	else
		led 4 2 20 2980
	fi
	lastlevel=$dbm
	sleep 60
done

